cdn.settings:
  type: config_object
  label: 'CDN settings'
  mapping:
    # It is valuable to be able to disable the CDN module without having to
    # uninstall it. This allows CDN integration to be disabled without requiring
    # the dependency injection container to be rebuilt, which is costly & slow.
    # Also, it allows to keep the CDN configuration even when it is temporarily
    # disabled (or temporarily enabled).
    status:
      type: boolean
      label: 'CDN status'
    mapping:
      label: 'File URL to CDN mapping'
      type: cdn.mapping.[type]
    scheme:
      label: 'Scheme to use for CDN file URLs'
      type: cdn.scheme
    farfuture:
      label: 'Forever cacheable files — configuration'
      type: mapping
      mapping:
        status:
          label: 'Forever cacheable files — status'
          type: boolean
    stream_wrappers:
      label: 'CDN-enabled stream wrappers'
      type: sequence
      sequence:
        type: cdn.stream_wrapper_scheme
